Get Identity
Get Identity
curl -X GET "https://api.prd.rad.security/accounts/example_string/identities/example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/identities/example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/identities/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/identities/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/identities/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"account_id": "example_string",
"actions": [
"example_string"
],
"created_at": "example_string",
"deleted_at": "example_string",
"id": "example_string",
"last_used_at": "example_string",
"linked_resources": 42,
"name": "John Doe",
"namespace": "John Doe",
"original_id": "example_string",
"raw_rbac_objects": {
"cluster_role_bindings": [
{
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"roleRef": {
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe"
},
"selfLink": "example_string",
"subjects": [
{
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe"
}
],
"uid": "example_string"
}
],
"cluster_roles": [
{
"aggregationRule": {
"clusterRoleSelectors": [
{
"matchExpressions": [
{
"key": "example_string",
"operator": "example_string",
"values": [
"example_string"
]
}
],
"matchLabels": {}
}
]
},
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"rules": [
{
"apiGroups": [
"example_string"
],
"nonResourceURLs": [
"example_string"
],
"resourceNames": [
"John Doe"
],
"resources": [
"example_string"
],
"verbs": [
"example_string"
]
}
],
"selfLink": "example_string",
"uid": "example_string"
}
],
"role_bindings": [
{
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"roleRef": {
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe"
},
"selfLink": "example_string",
"subjects": [
{
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe"
}
],
"uid": "example_string"
}
],
"roles": [
{
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"rules": [
{
"apiGroups": [
"example_string"
],
"nonResourceURLs": [
"example_string"
],
"resourceNames": [
"John Doe"
],
"resources": [
"example_string"
],
"verbs": [
"example_string"
]
}
],
"selfLink": "example_string",
"uid": "example_string"
}
]
},
"rbac_objects": {
"assigned_roles": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"permissions": [
{
"api_groups": [
"example_string"
],
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"verbs": [
"example_string"
]
}
]
},
"resolved_at": "example_string",
"resolved_reason": "example_string",
"rightsizeable": true,
"risk_detectors": {},
"risk_level": "Unspecified",
"risk_score": 3.14,
"risk_types": [
"example_string"
],
"risks": [
{
"associated_resources": [
{
"id": "example_string",
"name": "John Doe",
"severity": "example_string"
}
],
"deleted_at": "example_string",
"description": "example_string",
"fingerprint": "example_string",
"first_detected_at": "example_string",
"id": "example_string",
"identity_id": "example_string",
"last_detected_at": "example_string",
"name": "John Doe",
"risk_counter": 10,
"score": 3.14,
"type": "example_string",
"weight": 1.5
}
],
"risks_summary": {
"risks": [
{
"count": 10,
"normalized_weight": 1.5,
"score": 3.14,
"type": "example_string",
"weight": 1.5
}
],
"total_risk_score": 3.14,
"total_weight": 1.5
},
"source_id": "example_string",
"source_name": "John Doe",
"source_type": "example_string",
"status": "open",
"tenant_id": "example_string",
"type": "example_string",
"updated_at": "example_string"
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/identities/{identity_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount ID
path
identity_idstring
RequiredIdentity ID
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount ID
identity_idstring
RequiredIdentity ID
Responses
account_idstring
actionsstring[]
created_atstring
deleted_atstring
idstring
last_used_atstring
linked_resourcesinteger
namestring
namespacestring
original_idstring
raw_rbac_objectsobject
rbac_objectsobject
resolved_atstring
resolved_reasonstring
rightsizeableboolean
risk_detectorsobject
risk_levelstring
Allowed values:
UnspecifiedNegligibleLowMediumHighCriticalrisk_scorenumber
risk_typesstring[]
risksarray
risks_summaryobject
source_idstring
source_namestring
source_typestring
statusstring
Allowed values:
openresolvedtenant_idstring
typestring
updated_atstring
Was this page helpful?